Skip to main content
PUT
Update a variant

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

product id

variant_id
string
required

variant id

Body

application/json
is_default
boolean
short_description
string | null
Maximum string length: 1024
metadata
object | null
sku
string | null

variant sku. can be null for digital product.

Maximum string length: 64
slug
string

URL-friendly variant identifier.

Maximum string length: 128
Pattern: ^(?!-)([0-9a-zA-Z-]+)(?<!-)$
pricing
ProductPricingInput · object[]
Minimum array length: 1
variant_attributes
ProductAttribute · object[]
name
string
Required string length: 1 - 128
associated_options
AssociatedOption · object[]
description
string | null
images
string[]
videos
string[]
seo
Seo · object
shipping
ProductShipping · object | null
packaging
ProductPackaging · object | null
promotions
DiscountBasedPromotion · object

promotion_type = discount

subscriptions
ProductSubscription · object[] | null

Response

OK

message
string
success
boolean
content
object